summaryrefslogtreecommitdiff
path: root/helpers/lh_patchrunlevel
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_patchrunlevel')
-rwxr-xr-xhelpers/lh_patchrunlevel27
1 files changed, 27 insertions, 0 deletions
diff --git a/helpers/lh_patchrunlevel b/helpers/lh_patchrunlevel
new file mode 100755
index 0000000..05fa9fb
--- /dev/null
+++ b/helpers/lh_patchrunlevel
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# lh_patchrunlevel.sh <action>
+
+# Disabling all init scripts with a blocking policy as in
+# /usr/share/doc/sysv-rc/README.policy-rc.d.gz.
+
+case "${1}" in
+ apply)
+ # Create init policy
+ cat > "${LIVE_CHROOT}"/usr/sbin/policy-rc.d << EOF
+#!/bin/sh
+
+echo
+echo "Warning: invoke-rc.d policy in action. Skiping daemon starting"
+
+exit 101
+EOF
+
+ chmod 0755 "${LIVE_CHROOT}"/usr/sbin/policy-rc.d
+ ;;
+
+ deapply)
+ # Removing init policy
+ rm -f "${LIVE_CHROOT}"/usr/sbin/policy-rc.d
+ ;;
+esac